Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.ws.rs.core
Class Cookie

    java.lang.Object
      javax.ws.rs.core.Cookie

Direct Known Subclasses:
  NewCookie

    public class Cookie

extends java.lang.Object

Represents the value of a HTTP cookie, transferred in a request. RFC 2109 specifies the legal characters for name, value, path and domain. The default version of 1 corresponds to RFC 2109.

See Also:
  IETF RFC 2109

Field Summary
`static int` | `DEFAULT_VERSION` Cookies using the default version correspond to RFC 2109.

Constructor Summary
`Cookie(java.lang.String name, java.lang.String value)` Create a new instance.
`Cookie(java.lang.String name, java.lang.String value, java.lang.String path, java.lang.String domain)` Create a new instance.
`Cookie(java.lang.String name, java.lang.String value, java.lang.String path, java.lang.String domain, int version)` Create a new instance.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compare for equality
`java.lang.String` | `getDomain()` Get the domain of the cookie
`java.lang.String` | `getName()` Get the name of the cookie
`java.lang.String` | `getPath()` Get the path of the cookie
`java.lang.String` | `getValue()` Get the value of the cookie
`int` | `getVersion()` Get the version of the cookie
`int` | `hashCode()` Generate a hashcode by hashing all of the cookies properties
`java.lang.String` | `toString()` Convert the cookie to a string suitable for use as the value of the corresponding HTTP header.
`static Cookie` | `valueOf(java.lang.String value)` Creates a new instance of Cookie by parsing the supplied string.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_VERSION

    public static final int DEFAULT_VERSION

  Cookies using the default version correspond to RFC 2109.

  See Also:
    Constant Field Values

Constructor Detail

### Cookie

    public Cookie(java.lang.String name,
                  java.lang.String value,
                  java.lang.String path,
                  java.lang.String domain,
                  int version)

  Create a new instance.

  Parameters:
    `name` - the name of the cookie
    `value` - the value of the cookie
    `path` - the URI path for which the cookie is valid
    `domain` - the host domain for which the cookie is valid
    `version` - the version of the specification to which the cookie complies
  Throws:
    `java.lang.IllegalArgumentException` - if name is null

### Cookie

    public Cookie(java.lang.String name,
                  java.lang.String value,
                  java.lang.String path,
                  java.lang.String domain)

  Create a new instance.

  Parameters:
    `name` - the name of the cookie
    `value` - the value of the cookie
    `path` - the URI path for which the cookie is valid
    `domain` - the host domain for which the cookie is valid
  Throws:
    `java.lang.IllegalArgumentException` - if name is null

### Cookie

    public Cookie(java.lang.String name,
                  java.lang.String value)

  Create a new instance.

  Parameters:
    `name` - the name of the cookie
    `value` - the value of the cookie
  Throws:
    `java.lang.IllegalArgumentException` - if name is null

Method Detail

### valueOf

    public static Cookie valueOf(java.lang.String value)
                          throws java.lang.IllegalArgumentException

  Creates a new instance of Cookie by parsing the supplied string.

  Parameters:
    `value` - the cookie string
  Returns:
    the newly created Cookie
  Throws:
    `java.lang.IllegalArgumentException` - if the supplied string cannot be parsed or is null

### getName

    public java.lang.String getName()

  Get the name of the cookie

  Returns:
    the name

### getValue

    public java.lang.String getValue()

  Get the value of the cookie

  Returns:
    the value

### getVersion

    public int getVersion()

  Get the version of the cookie

  Returns:
    the version

### getDomain

    public java.lang.String getDomain()

  Get the domain of the cookie

  Returns:
    the domain

### getPath

    public java.lang.String getPath()

  Get the path of the cookie

  Returns:
    the path

### toString

    public java.lang.String toString()

  Convert the cookie to a string suitable for use as the value of the corresponding HTTP header.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a stringified cookie

### hashCode

    public int hashCode()

  Generate a hashcode by hashing all of the cookies properties

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    the hashcode

### equals

    public boolean equals(java.lang.Object obj)

  Compare for equality

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object to compare to
  Returns:
    true if the object is a `Cookie` with the same value for all properties, false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.